# WOK
TKWOK
WOKBuilder

# WOKBuilder_Linker Class Reference

`#include <WOKBuilder_Linker.hxx>`

Inheritance diagram for WOKBuilder_Linker:

[legend]

## Public Member Functions

virtual Standard_EXPORT void | Load ()
Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile | ObjectList () const
Standard_EXPORT void | SetObjectList (const Handle(WOKBuilder_HSequenceOfObjectFile)&objects)
Standard_EXPORT Handle_TCollection_HAsciiString | TargetName () const
Standard_EXPORT void | SetTargetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT void | SetLibrarySearchPathes (const Handle(WOKUtils_HSequenceOfPath)&libpathes)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | LibrarySearchPathes () const
Standard_EXPORT void | SetDatabaseDirectories (const Handle(WOKUtils_HSequenceOfPath)&libpathes)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | DatabaseDirectories () const
Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary | LibraryList () const
Standard_EXPORT void | SetLibraryList (const Handle(WOKBuilder_HSequenceOfLibrary)&asharedlist)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Externals () const
Standard_EXPORT void | SetExternals (const Handle(TColStd_HSequenceOfHAsciiString)&externals)
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_Linker (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | LibraryRefLine (const Handle(WOKBuilder_Library)&alib)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalHeader ()
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalLibSearchDirectives ()
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalDatabaseDirectives ()
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalObjectList ()
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalLibraryList ()
virtual Standard_EXPORT Handle_TCollection_HAsciiString | EvalFooter ()
virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | GetLinkerProduction ()

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_WOKBuilder_HSequenceOfObjectFile | myobjects
Handle_WOKUtils_HSequenceOfPath | mylibpathes
Handle_WOKUtils_HSequenceOfPath | mydbdirs
Handle_WOKBuilder_HSequenceOfLibrary | mylibs
Handle_TColStd_HSequenceOfHAsciiString | myexterns

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Linker::WOKBuilder_Linker | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKBuilder_Linker::DatabaseDirectories | ( |  | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::EvalDatabaseDirectives | ( |  | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::EvalFooter | ( |  | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::EvalHeader | ( |  | ) | `[protected, virtual]`

| Reimplemented in WOKBuilder_ExecutableLinker, and WOKBuilder_SharedLinker.

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::EvalLibraryList | ( |  | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::EvalLibSearchDirectives | ( |  | ) | `[protected, virtual]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::EvalObjectList | ( |  | ) | `[protected, virtual]`

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_Linker::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_Linker::Externals | ( |  | ) | const

virtual Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_Linker::GetLinkerProduction | ( |  | ) | `[protected, virtual]`

| Reimplemented in WOKBuilder_ExecutableLinker, and WOKBuilder_SharedLinker.

Standard_EXPORT const WOKBuilder_Linker::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell. Reimplemented in WOKBuilder_ExecutableLinker, and WOKBuilder_SharedLinker.

Standard_EXPORT Handle_WOKBuilder_HSequenceOfLibrary WOKBuilder_Linker::LibraryList | ( |  | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::LibraryRefLine | ( | const Handle(WOKBuilder_Library)& | alib | ) | `[protected, virtual]`

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKBuilder_Linker::LibrarySearchPathes | ( |  | ) | const

virtual Standard_EXPORT void WOKBuilder_Linker::Load | ( |  | ) | `[virtual]`

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT Handle_WOKBuilder_HSequenceOfObjectFile WOKBuilder_Linker::ObjectList | ( |  | ) | const

Standard_EXPORT void WOKBuilder_Linker::SetDatabaseDirectories | ( | const Handle(WOKUtils_HSequenceOfPath)& | libpathes | ) |

Standard_EXPORT void WOKBuilder_Linker::SetExternals | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | externals | ) |

Standard_EXPORT void WOKBuilder_Linker::SetLibraryList | ( | const Handle(WOKBuilder_HSequenceOfLibrary)& | asharedlist | ) |

Standard_EXPORT void WOKBuilder_Linker::SetLibrarySearchPathes | ( | const Handle(WOKUtils_HSequenceOfPath)& | libpathes | ) |

Standard_EXPORT void WOKBuilder_Linker::SetObjectList | ( | const Handle(WOKBuilder_HSequenceOfObjectFile)& | objects | ) |

Standard_EXPORT void WOKBuilder_Linker::SetTargetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Linker::TargetName | ( |  | ) | const

## Field Documentation

Handle_WOKUtils_HSequenceOfPath WOKBuilder_Linker::mydbdirs `[private]`

Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_Linker::myexterns `[private]`

Handle_WOKUtils_HSequenceOfPath WOKBuilder_Linker::mylibpathes `[private]`

Handle_WOKBuilder_HSequenceOfLibrary WOKBuilder_Linker::mylibs `[private]`

Handle_TCollection_HAsciiString WOKBuilder_Linker::myname `[private]`

| Reimplemented from WOKBuilder_Tool.

Handle_WOKBuilder_HSequenceOfObjectFile WOKBuilder_Linker::myobjects `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_Linker.hxx